#ifndef GENERATOREFFICIENCIES_H
#define GENERATOREFFICIENCIES_H

#include <map>

const std::map<std::string,double> Eff_Gen_Down{
  { "10010032", 0.4254  },
  { "10010035", 0.4239  },
  { "10010037", 0.42541 },
  { "11512011", 0.19639 },
  { "13512410", 0.17533 },
  { "11512400", 0.16822 },
  { "13512420", 0.17694 },
  { "13774000", 0.17948 },
  { "13512010", 0.2023  },
  { "13512400", 0.17511 },
  { "12513001", 0.17768 },
  { "11574050", 0.17382 },
  { "11574051", 0.17064 },
  { "12573050", 0.17692 },
  { "12573200", 0.17616 },
  { "12573400", 0.15516 },
  { "12573401", 0.1605  },
  { "13574040", 0.16978 },
  { "13796000", 0.03837 },
  { "12873002", 0.17852 },
  { "15512013", 0.213   },
  { "15512014", 0.2121  },
  { "11874004", 0.17899 },
  { "11874042", 0.17066 },
  { "11144001", 0.16141 },
  { "12143001", 0.16734 },
  { "12143401", 0.15162 },
  { "13144001", 0.17114 },
  { "11876001", 0.3295  },
  { "13873201", 0.3315  },
  { "12875601", 0.3318  },
  { "11874010", 1},
};
const std::map<std::string,double> Eff_Gen_Down_err{

  {"10010032", 0.000089},
  {"10010035", 0.00011 },
  {"10010037", 0.000081},
  {"11512011", 0.00039 },
  {"13512410", 0.00035 },
  {"11512400", 0.00033 },
  {"13512420", 0.00035 },
  {"13774000", 0.00028 },
  {"13512010", 0.00052 },
  {"13512400", 0.00035 },
  {"12513001", 0.00059 },
  {"11574050", 0.00089 },
  {"11574051", 0.00078 },
  {"12573050", 0.00089 },
  {"12573200", 0.0009  },
  {"12573400", 0.00078 },
  {"12573401", 0.00082 },
  {"13574040", 0.00085 },
  {"13796000", 0.000079},
  {"12873002", 0.00091 },
  {"15512013", 0.0011  },
  {"15512014", 0.0011  },
  {"11874004", 0.00092 },
  {"11874042", 0.00088 },
  {"11144001", 0.00043 },
  {"12143001", 0.00049 },
  {"12143401", 0.00066 },
  {"13144001", 0.00045 },
  {"11876001", 0.0011  },
  {"13873201", 0.0011  },
  {"12875601", 0.0011  },
  { "11874010", 1},

};

const std::map<std::string,double> Eff_Gen_Up{
  { "10010032", 0.425385},
  { "10010035", 0.42547 },
  { "10010037", 0.425402},
  { "11512011", 0.19627 },
  { "13512410", 0.17547 },
  { "11512400", 0.16876 },
  { "13512420", 0.17623 },
  { "13774000", 0.18006 },
  { "13512010", 0.2018  },
  { "13512400", 0.17473 },
  { "12513001", 0.17651 },
  { "11574050", 0.1745  },
  { "11574051", 0.16859 },
  { "12573050", 0.1775  },
  { "12573200", 0.17759 },
  { "12573400", 0.15541 },
  { "12573401", 0.1612  },
  { "13574040", 0.17309 },
  { "13796000", 0.038227},
  { "12873002", 0.17858 },
  { "15512013", 0.2123  },
  { "15512014", 0.2095  },
  { "11874004", 0.17887 },
  { "11874042", 0.16972 },
  { "11144001", 0.1605  },
  { "12143001", 0.16712 },
  { "12143401", 0.15265 },
  { "13144001", 0.171   },
  { "11876001", 0.3319  },
  { "13873201", 0.3302  },
  { "12875601", 0.3308  },
  { "11874010", 1},

};

const std::map<std::string,double> Eff_Gen_Up_err{
  { "10010032", 0.000089},
  { "10010035", 0.00011 },
  { "10010037", 0.000074},
  { "11512011", 0.0004  },
  { "13512410", 0.00036 },
  { "11512400", 0.00033 },
  { "13512420", 0.00034 },
  { "13774000", 0.00028 },
  { "13512010", 0.00052 },
  { "13512400", 0.00034 },
  { "12513001", 0.00058 },
  { "11574050", 0.00086 },
  { "11574051", 0.00076 },
  { "12573050", 0.00084 },
  { "12573200", 0.00087 },
  { "12573400", 0.00078 },
  { "12573401", 0.00078 },
  { "13574040", 0.00086 },
  { "13796000", 0.000081},
  { "12873002", 0.00065 },
  { "15512013", 0.0011  },
  { "15512014", 0.0011  },
  { "11874004", 0.00065 },
  { "11874042", 0.00087 },
  { "11144001", 0.00043 },
  { "12143001", 0.00049 },
  { "12143401", 0.00063 },
  { "13144001", 0.00045 },
  { "11876001", 0.0011  },
  { "13873201", 0.0011  },
  { "12875601", 0.0011  },
  { "11874010", 1},

};


#endif
